Jump to content
Flirc Forums
o_cee

Flirc with v2.2 not working after boot (with workaround)

Recommended Posts

Hi

 

Upgraded to v2.2 (from some of the newer RCs on the forum), and now my Flirc doesn't respond to keypresses sent by my Harmony remote (with the Flirc XBMC profile) unless I first send a command which is taught in the Flirc (using some Samsung TV for additional commands since the XBMC profile is so limited). So, if I only send commands which are part of the builtin profile, it never works.

Share this post


Link to post
Share on other sites

"Builtin Profiles" is ticked. I guess I could disable and enable it, but it's that it's not working, it does work after sending another command. 

Share this post


Link to post
Share on other sites

./flirc_util version

Flirc Version v1.2.0 [v1.2.0]

   2.2 12-18-2013 [0x052EC67A]

 

 

./flirc_util settings

Settings:

  sleep detection:  Enabled

  noise canceler:   Disabled

  inter-key delay:  6

  state:            0

  builtin profiles: Enable

 

Memory Info:

  keys recorded:  2

  keys remaining: 167

  memory used:    1%

 

Recorded Keys:

  hash        key

  ---------   ---

  688F44A     e

  E587F44A     delete

 

 

./flirc_util dump 63

Reading:

0000   00 11 A6 80 05 4A F4 88  06 00 08 4A F4 87 E5 00 

0010   4C FF FF FF FF FF FF FF  FF FF FF FF FF FF FF FF 

0020   FF FF FF FF FF FF FF FF  FF FF FF FF FF FF FF FF 

0030   FF FF FF FF FF FF FF FF  FF FF FF FF FF FF FF FF 

 

 

./flirc_util status

Last upgrade attempt: Error

 

 

What about that last one?

Share this post


Link to post
Share on other sites

A minor correction; the two trained buttons, e and delete, are using IR commands from the Harmony XBMC profile which isn't detected by the Flirc: BigStepBack and BigStepForward. Does that make any difference? It worked on earlier firmwares without problems.

Share this post


Link to post
Share on other sites

Same problem here. Just upgraded firmware and no keys responding in XBMC. 

Didn't try to teach any commands and press them first.

 

Flirc Version v1.2.0 [v1.2.0]
   2.2 12-18-2013 [0x052EC67A]
 
Settings:
  sleep detection:  Disabled
  noise canceler:   Disabled
  inter-key delay:  3
  state:            0
  builtin profiles: Enable
 
Memory Info:
  keys recorded:  0
  keys remaining: 169
  memory used:    0%
No Keys Found
 
Last upgrade attempt: Error

Share this post


Link to post
Share on other sites

Okay guys, I have the same issue with my Harmony 650 and flirc 2.2, none of the builtin profile's keys are working at all.

I guess I am blind, but the subject says there's a workaround but I can't see any in this thread?

 

What's the easiest way to downgrade to the previous firmware version? Why aren't the firmware files available as standalone anymore, only bundled with the GUI?

While I understand that it's way more comfortable to have it bundled with the GUI and make it upgrade automatically I think they should still be available as seperate files, for emergency situations like this where it is necessary to go back to the previous version...

 

Cheers

Bochi

  • Like 1

Share this post


Link to post
Share on other sites

I just bought a Flirc to use with my Harmony 700 and XBMC on a Win 8.1 x64 machine and I'm having similar issues with XBMC (and now nothing else) getting any commands from the Flirc.  I installed the Flirc profile on my Harmony 700, but could never get any keys in XBMC to work.  I was able to do the minimalist command recording to verify the Flirc was working.

 

Based on the advice in another thread, I forced a firmware update to v2.2.  But now the Flirc doesn't seem to be working at all with any remote (or on another computer), let alone with XBMC.  And now when I load up the GUI, the firmware version always displays as "v-16.-16"  Trying to force update the firmware again locks up the GUI.  And if I read correctly there's no other way for me to change the firmware now?

Share this post


Link to post
Share on other sites

Sorry about this guys. I figured out the problem. Released an update. Upgrade to v2.3 and the problem will be fixed.

Share this post


Link to post
Share on other sites

sorry not login but upgrade.

Close the GUI, and reopen it. Are you on windows?

 

There is a bug, and I can't reproduce it enough to figure out what's going on. So any help on that would be appreciated. However, it's just reading the version wrong, the device is fine.

Share this post


Link to post
Share on other sites

I'm also having no luck with the upgrade.  On Win 8.1 64-bit. It always displays -16.-16 as the version, even after restarting the GUI.

When trying to upgrade the firmware it says
Your firmware version is: -16.-16
The latest firmware version is: 2.2

And then locks up the GUI when trying to upgrade.

Here's some flirc_util.exe output that replicates the commands above. I'm new to all this so let me know if you need anything else, and thanks for any help!

>flirc_util.exe version
[E] determine_iface(101): version not supported, loading def: ver1
Flirc Version v1.2.0 [v1.2.0]
[E] fl_ver1_version_str(866): usb tx result > 0: -2
(null)

>flirc_util.exe settings
[E] determine_iface(101): version not supported, loading def: ver1
Settings:
sleep detection: NA
noise canceler: Enabled
inter-key delay: 0
state: 0
builtin profiles: NA
[E] get_size(103): Error reading high byte of size
-3.000000

>flirc_util.exe dump 63
[E] determine_iface(101): version not supported, loading def: ver1
Reading:
0000 Error

>flirc_util.exe status
[E] determine_iface(101): version not supported, loading def: ver1
Last upgrade attempt: Error


 

Share this post


Link to post
Share on other sites

I'm also having no luck with the upgrade.  On Win 8.1 64-bit. It always displays -16.-16 as the version, even after restarting the GUI.

When trying to upgrade the firmware it says

Your firmware version is: -16.-16

The latest firmware version is: 2.2

And then locks up the GUI when trying to upgrade.

Here's some flirc_util.exe output that replicates the commands above. I'm new to all this so let me know if you need anything else, and thanks for any help!

>flirc_util.exe version

[E] determine_iface(101): version not supported, loading def: ver1

Flirc Version v1.2.0 [v1.2.0]

[E] fl_ver1_version_str(866): usb tx result > 0: -2

(null)

>flirc_util.exe settings

[E] determine_iface(101): version not supported, loading def: ver1

Settings:

sleep detection: NA

noise canceler: Enabled

inter-key delay: 0

state: 0

builtin profiles: NA

[E] get_size(103): Error reading high byte of size

-3.000000

>flirc_util.exe dump 63

[E] determine_iface(101): version not supported, loading def: ver1

Reading:

0000 Error

>flirc_util.exe status

[E] determine_iface(101): version not supported, loading def: ver1

Last upgrade attempt: Error

 

Incredibly helpful, I know what's wrong. Thanks a million. I'll post an update in a few minutes.

Share this post


Link to post
Share on other sites

Sorry about this guys. I figured out the problem. Released an update. Upgrade to v2.3 and the problem will be fixed.

 

I can confirm that v2.3 fixes this issue for me, thanks Jason!

Share this post


Link to post
Share on other sites

I'm also having no luck with the upgrade.  On Win 8.1 64-bit. It always displays -16.-16 as the version, even after restarting the GUI.

When trying to upgrade the firmware it says

Your firmware version is: -16.-16

The latest firmware version is: 2.2

And then locks up the GUI when trying to upgrade.

Here's some flirc_util.exe output that replicates the commands above. I'm new to all this so let me know if you need anything else, and thanks for any help!

>flirc_util.exe version

[E] determine_iface(101): version not supported, loading def: ver1

Flirc Version v1.2.0 [v1.2.0]

[E] fl_ver1_version_str(866): usb tx result > 0: -2

(null)

>flirc_util.exe settings

[E] determine_iface(101): version not supported, loading def: ver1

Settings:

sleep detection: NA

noise canceler: Enabled

inter-key delay: 0

state: 0

builtin profiles: NA

[E] get_size(103): Error reading high byte of size

-3.000000

>flirc_util.exe dump 63

[E] determine_iface(101): version not supported, loading def: ver1

Reading:

0000 Error

>flirc_util.exe status

[E] determine_iface(101): version not supported, loading def: ver1

Last upgrade attempt: Error

 

I posted an update, but I'm not sure it's going to fix this. This is probably a different problem. Ping me outside this thread, or start a new topic.

Share this post


Link to post
Share on other sites

Thanks a lot, Jason. 

First update fixed the problem for me.

 

This is the first time I use the built in profiles and the Harmony profile and I must says it's a great idea! Makes things much easier! :)

Share this post


Link to post
Share on other sites

Thanks a lot, Jason. 

First update fixed the problem for me.

 

This is the first time I use the built in profiles and the Harmony profile and I must says it's a great idea! Makes things much easier! :)

No problem, thanks for writing in and letting me know it's fixed.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...